[arch-commits] CVS update of arch/build/office/ispell (3 files)
Eric Belanger
eric at archlinux.org
Tue May 22 01:45:23 UTC 2007
Date: Monday, May 21, 2007 @ 21:45:23
Author: eric
Path: /home/cvs-arch/arch/build/office/ispell
Added: license.txt (1.1)
Modified: PKGBUILD (1.7 -> 1.8)
Removed: ispell.patch (1.3)
upgpkg ispell 3.3.02-1
Added dictionnary building tools (FS#5632)
Added licence.
--------------+
PKGBUILD | 60 +++++++++++++++++++++++++++++++++++++--------------------
ispell.patch | 49 ----------------------------------------------
license.txt | 35 +++++++++++++++++++++++++++++++++
3 files changed, 74 insertions(+), 70 deletions(-)
Index: arch/build/office/ispell/PKGBUILD
diff -u arch/build/office/ispell/PKGBUILD:1.7 arch/build/office/ispell/PKGBUILD:1.8
--- arch/build/office/ispell/PKGBUILD:1.7 Tue May 16 16:36:37 2006
+++ arch/build/office/ispell/PKGBUILD Mon May 21 21:45:23 2007
@@ -1,29 +1,47 @@
-# $Id: PKGBUILD,v 1.7 2006/05/16 20:36:37 uid1016 Exp $
-# Maintainer: dorphell <dorphell at archlinux.org>
+# $Id: PKGBUILD,v 1.8 2007/05/22 01:45:23 eric Exp $
+# Maintainer: Eric Belanger <eric at archlinux.org>
+
pkgname=ispell
-pkgver=3.2.06
-pkgrel=4
+pkgver=3.3.02
+pkgrel=1
pkgdesc="An interactive spell-checking program for Unix"
-arch=(i686 x86_64)
-url="http://www.gnu.org/software/ispell/ispell.html"
+arch=('i686' 'x86_64')
+url="http://ficus-www.cs.ucla.edu/geoff/ispell.html"
+license="BSD"
depends=('ncurses')
-source=(http://fmg-www.cs.ucla.edu/geoff/tars/ispell-3.2.06.tar.gz ispell.patch)
-md5sums=('d434e1aef1a815294d5012c60c4c414a' '4b9b9ed12e99ea0a64159d9e6e938fa1')
+source=(http://fmg-www.cs.ucla.edu/geoff/tars/$pkgname-$pkgver.tar.gz license.txt)
+md5sums=('12087d7555fc2b746425cd167af480fe' 'bf51b6181b9914dedc266ba970bb7319')
build() {
export MAKEFLAGS="-j 1"
cd $startdir/src/$pkgname-$pkgver
- patch -Np1 -i ../ispell.patch
- cp local.h.samp local.h
- make TMPDIR=/tmp || return 1
- mkdir -p $startdir/pkg/usr/bin $startdir/pkg/usr/lib/ispell
- mkdir -p $startdir/pkg/usr/man/{man1,man4}
- cp ispell buildhash $startdir/pkg/usr/bin
- cp ispell.1 $startdir/pkg/usr/man/man1
- cp ispell.4 $startdir/pkg/usr/man/man4
- cp languages/american/americanmed.hash $startdir/pkg/usr/lib/ispell
- cp languages/english/english.aff $startdir/pkg/usr/lib/ispell
- cd $startdir/pkg/usr/lib/ispell
- ln -s americanmed.hash american.hash
- ln -s americanmed.hash english.hash
+ sed -i 's/#undef USG/#define USG/' local.h.linux
+ sed -i 's|/usr/local|/usr|' local.h.linux
+ sed -i 's|/lib|/lib/ispell|' local.h.linux
+ cp local.h.linux local.h
+ make TMPDIR=/tmp all || return 1
+
+# Installing binary tools
+ install -D -m755 buildhash $startdir/pkg/usr/bin/buildhash
+ install -D -m755 findaffix $startdir/pkg/usr/bin/findaffix
+ install -D -m755 icombine $startdir/pkg/usr/bin/icombine
+ install -D -m755 ijoin $startdir/pkg/usr/bin/ijoin
+ install -D -m755 ispell $startdir/pkg/usr/bin/ispell
+ install -D -m755 iwhich $startdir/pkg/usr/bin/iwhich
+ install -D -m755 munchlist $startdir/pkg/usr/bin/munchlist
+ install -D -m755 tryaffix $startdir/pkg/usr/bin/tryaffix
+
+# Installing man pages
+ install -D -m644 ispell.1 $startdir/pkg/usr/man/man1/ispell.1
+ install -D -m644 ispell.5 $startdir/pkg/usr/man/man5/ispell.5
+
+# Installing dictionnaries
+ install -d $startdir/pkg/usr/bin $startdir/pkg/usr/lib/ispell
+ install -m644 languages/american/americanmed.hash $startdir/pkg/usr/lib/ispell/americanmed.hash
+ install -m644 languages/english/english.aff $startdir/pkg/usr/lib/ispell/english.aff
+ ln -s americanmed.hash $startdir/pkg/usr/lib/ispell/american.hash
+ ln -s americanmed.hash $startdir/pkg/usr/lib/ispell/english.hash
+
+# Installing license
+ install -D -m644 $startdir/src/license.txt $startdir/pkg/usr/share/licenses/$pkgname/license.txt
}
Index: arch/build/office/ispell/ispell.patch
diff -u arch/build/office/ispell/ispell.patch:1.3 arch/build/office/ispell/ispell.patch:removed
--- arch/build/office/ispell/ispell.patch:1.3 Sun Oct 19 01:19:39 2003
+++ arch/build/office/ispell/ispell.patch Mon May 21 21:45:23 2007
@@ -1,49 +0,0 @@
-diff -Naur ispell-3.2.06-orig/config.X ispell-3.2.06/config.X
---- ispell-3.2.06-orig/config.X 2001-07-25 14:51:45.000000000 -0700
-+++ ispell-3.2.06/config.X 2003-10-18 06:26:47.000000000 -0700
-@@ -208,7 +208,7 @@
- ** -lcurses, or -lncurses on most systems.
- */
- #ifndef TERMLIB
--#define TERMLIB "-ltermcap"
-+#define TERMLIB "-lncurses"
- #endif
-
- /*
-diff -Naur ispell-3.2.06-orig/local.h.samp ispell-3.2.06/local.h.samp
---- ispell-3.2.06-orig/local.h.samp 2001-07-25 14:51:47.000000000 -0700
-+++ ispell-3.2.06/local.h.samp 2003-10-18 06:26:47.000000000 -0700
-@@ -106,17 +106,17 @@
-
- #define MINIMENU /* Display a mini-menu at the bottom of the screen */
- #define NO8BIT /* Remove this if you use ISO character sets */
--#undef USG /* Define on System V or if term.c won't compile */
-+#define USG /* Define on System V or if term.c won't compile */
- #undef NO_FCNTL_H /* Define if you get compile errors on fcntl.h */
- #undef NO_MKSTEMP /* Define if you get compile or link errors */
-
- /*
- * Important directory paths
- */
--#define BINDIR "/usr/local/bin"
--#define LIBDIR "/usr/local/lib"
--#define MAN1DIR "/usr/local/man/man1"
--#define MAN4DIR "/usr/local/man/man4"
-+#define BINDIR "/usr/bin"
-+#define LIBDIR "/usr/lib/ispell"
-+#define MAN1DIR "/usr/man/man1"
-+#define MAN4DIR "/usr/man/man4"
-
- /*
- * Place any locally-required #include statements here
-diff -Naur ispell-3.2.06-orig/parse.y ispell-3.2.06/parse.y
---- ispell-3.2.06-orig/parse.y 2001-07-25 14:51:46.000000000 -0700
-+++ ispell-3.2.06/parse.y 2003-10-18 06:26:56.000000000 -0700
-@@ -672,7 +672,6 @@
- yyerror (PARSE_Y_WRONG_NROFF);
- free ((char *) $2);
- }
-- ;
- | TEXCHARS STRING
- {
- if (strlen ((char *) $2)
Index: arch/build/office/ispell/license.txt
diff -u /dev/null arch/build/office/ispell/license.txt:1.1
--- /dev/null Mon May 21 21:45:23 2007
+++ arch/build/office/ispell/license.txt Mon May 21 21:45:23 2007
@@ -0,0 +1,35 @@
+ Copyright (c), 1983, by Pace Willisson
+
+ Copyright 1992, 1993, 1999, 2001, 2005, Geoff Kuenning, Claremont, CA
+ All rights reserved.
+
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions
+ are met:
+
+ 1. Redistributions of source code must retain the above copyright
+ notice, this list of conditions and the following disclaimer.
+ 2. Redistributions in binary form must reproduce the above copyright
+ notice, this list of conditions and the following disclaimer in the
+ documentation and/or other materials provided with the distribution.
+ 3. All modifications to the source code must be clearly marked as
+ such. Binary redistributions based on modified source code
+ must be clearly marked as modified versions in the documentation
+ and/or other materials provided with the distribution.
+ 4. The code that causes the 'ispell -v' command to display a prominent
+ link to the official ispell Web site may not be removed.
+ 5. The name of Geoff Kuenning may not be used to endorse or promote
+ products derived from this software without specific prior
+ written permission.
+
+ THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
+ ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ ARE DISCLAIMED. IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
+ FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ SUCH DAMAGE.
More information about the arch-commits
mailing list